### Method

# Gio FileInfo get_attribute_file_path

since: 2.78

#### Declaration

    const char*
    g_file_info_get_attribute_file_path (
      GFileInfo* info,
      const char* attribute
    )

#### Description

Gets the value of a byte string attribute as a file path.

If the attribute does not contain a byte string, `NULL` will be returned.

This function is meant to be used by language bindings that have specific handling for Unix paths.

Available since: 2.78

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

The contents of the `attribute` value as a file path, or `NULL` otherwise.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.